<template>
  <div class="card">
    <DataTable :value="employeeStore.employees" tableStyle="min-width: 50rem">
      <Column field="name" header="Name"></Column>
      <Column field="surname" header="Surname"></Column>
      <Column field="address" header="Adress"></Column>
      <Column field="employmentDate" header="Employment Date"></Column>
    </DataTable>
  </div>
</template>

<script setup lang="ts">
import DataTable from 'primevue/datatable';
import Column from 'primevue/column';
import { useEmployeesStore } from '../../stores/employees/employees';

const employeeStore: any = useEmployeesStore();
</script>
<style></style>
